## org.apache.cassandra.cql
Class AlterTableStatement

    java.lang.Object
      org.apache.cassandra.cql.AlterTableStatement

    public class AlterTableStatement

extends java.lang.Object

Nested Class Summary
`static class` `AlterTableStatement.OperationType`

Field Summary
`java.lang.String` `columnFamily`
`java.lang.String` `columnName`
`AlterTableStatement.OperationType` `oType`
`java.lang.String` `validator`

Constructor Summary
`AlterTableStatement(java.lang.String columnFamily, AlterTableStatement.OperationType type, java.lang.String columnName)`
`AlterTableStatement(java.lang.String columnFamily, AlterTableStatement.OperationType type, java.lang.String columnName, java.lang.String validator)`

Method Summary
`org.apache.cassandra.db.migration.avro.CfDef` `getCfDef(java.lang.String keyspace)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### oType

    public final AlterTableStatement.OperationType oType

### columnFamily

    public final java.lang.String columnFamily

### columnName

    public final java.lang.String columnName

### validator

    public final java.lang.String validator

Constructor Detail

### AlterTableStatement

    public AlterTableStatement(java.lang.String columnFamily,
                               AlterTableStatement.OperationType type,
                               java.lang.String columnName)

### AlterTableStatement

    public AlterTableStatement(java.lang.String columnFamily,
                               AlterTableStatement.OperationType type,
                               java.lang.String columnName,
                               java.lang.String validator)

Method Detail

### getCfDef

    public org.apache.cassandra.db.migration.avro.CfDef getCfDef(java.lang.String keyspace)
                                                          throws ConfigurationException,
                                                                 InvalidRequestException

  Throws:
    `ConfigurationException`
    `InvalidRequestException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2012 The Apache Software Foundation